// Created by ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class Grave1NAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new Grave1NAddonDeed();
			}
		}

		[ Constructable ]
		public Grave1NAddon()
		{
			AddComponent( new AddonComponent( 3795 ), 0, 1, 0 );
			AddComponent( new AddonComponent( 3809 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 4456 ), 0, -1, 0 );
			AddonComponent ac = null;

		}

		public Grave1NAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class Grave1NAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new Grave1NAddon();
			}
		}

		[Constructable]
		public Grave1NAddonDeed()
		{
			Name = "Grave1N";
Hue = 2406;
		}

		public Grave1NAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}